<html>
<head>
<title>Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">DefaultWorkQueueBase</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1DefaultWorkQueueBase_1_1OGRE__THREAD__WORKER__INHERIT.html">OGRE_THREAD_WORKER_INHERIT</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT" -->
<p>Thread function.  
 <a href="structOgre_1_1DefaultWorkQueueBase_1_1OGRE__THREAD__WORKER__INHERIT.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>&gt;</code></p>

<p><a href="structOgre_1_1DefaultWorkQueueBase_1_1OGRE__THREAD__WORKER__INHERIT-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1DefaultWorkQueueBase_1_1OGRE__THREAD__WORKER__INHERIT.html#ac3eb4efc2bf56cf25eae4f2f28d44c5c">WorkerFunc</a> (<a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">DefaultWorkQueueBase</a> *q)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1DefaultWorkQueueBase_1_1OGRE__THREAD__WORKER__INHERIT.html#ab420a5d9da224781d3f35bb47ab4f834">operator()</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1DefaultWorkQueueBase_1_1OGRE__THREAD__WORKER__INHERIT.html#ae3338233253f62e9624586776fad33ef">run</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">DefaultWorkQueueBase</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1DefaultWorkQueueBase_1_1OGRE__THREAD__WORKER__INHERIT.html#a76c32be63b9643d2a32e1c219a73c1bc">mQueue</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Thread function. </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00455">455</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab420a5d9da224781d3f35bb47ab4f834"></a><!-- doxytag: member="Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT::operator()" ref="ab420a5d9da224781d3f35bb47ab4f834" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT::operator() </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae3338233253f62e9624586776fad33ef"></a><!-- doxytag: member="Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT::run" ref="ae3338233253f62e9624586776fad33ef" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1DefaultWorkQueueBase_1_1OGRE__THREAD__WORKER__INHERIT.html#ae3338233253f62e9624586776fad33ef">Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT::run</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac3eb4efc2bf56cf25eae4f2f28d44c5c"></a><!-- doxytag: member="Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT::WorkerFunc" ref="ac3eb4efc2bf56cf25eae4f2f28d44c5c" args="(DefaultWorkQueueBase *q)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1DefaultWorkQueueBase_1_1OGRE__THREAD__WORKER__INHERIT.html#ac3eb4efc2bf56cf25eae4f2f28d44c5c">Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT::WorkerFunc</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">DefaultWorkQueueBase</a> *&#160;</td>
          <td class="paramname"><em>q</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00459">459</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a76c32be63b9643d2a32e1c219a73c1bc"></a><!-- doxytag: member="Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT::mQueue" ref="a76c32be63b9643d2a32e1c219a73c1bc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">DefaultWorkQueueBase</a>* <a class="el" href="structOgre_1_1DefaultWorkQueueBase_1_1OGRE__THREAD__WORKER__INHERIT.html#a76c32be63b9643d2a32e1c219a73c1bc">Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT::mQueue</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00457">457</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
